Bug 152196 - RPM fails with "package cups-libs-1.1.22-0.rc1.8.5 is already installed"
RPM fails with "package cups-libs-1.1.22-0.rc1.8.5 is already installed"
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
: 152150 152283 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-25 17:49 EST by Rick Richardson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:13:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2005-03-25 17:49:44 EST
Test install failed because of package conflicts:
The following packages were added to your selection to satisfy dependencies:
Name                                    Version        Release
--------------------------------------------------------------
cups-libs                               1.1.22         0.rc1.8.5           
cups-libs                               1.1.22         0.rc1.8.5           

package cups-libs-1.1.22-0.rc1.8.5 is already installed

Then no further action is taken.
Comment 1 Paul Nasrat 2005-03-26 02:48:39 EST
Can you state the exact command you were doing and attach the output of
/var/log/rpm.log - this looks like yum output not rpm.  Also when you say test
install what do you mean exactly - your bug report isn't really enough to go on
to debug.

Can you also paste in the output of:

rpm --qf '%{epoch}:%{name}-%{verson}-%{release}.%{arch}\n' -q cups-libs
Comment 2 Rick Richardson 2005-03-26 03:40:06 EST
This is from Redhats up2date.  

kdelibs is trying to update to itself.

$ rpm --qf '%{epoch}:%{name}-%{verson}-%{release}.%{arch}\n' -q cups-libs
error: incorrect format: unknown tag

 
Comment 3 Jeff Johnson 2005-03-26 08:55:51 EST
*** Bug 152150 has been marked as a duplicate of this bug. ***
Comment 4 Robert Scheck 2005-03-26 20:29:30 EST
Rick, do a:

  rpm --qf '%{epoch}:%{name}-%{version}-%{release}.%{arch}\n' -q cups-libs

the important thing is "version" rather "verson" ;-)
Comment 5 Rick Richardson 2005-03-26 20:44:13 EST
$ rpm --qf '%{epoch}:%{name}-%{version}-%{release}.%{arch}\n' -q cups-libs
1:cups-libs-1.1.22-0.rc1.8.5.x86_64
Comment 6 Jeff Johnson 2005-03-27 12:39:33 EST
*** Bug 152283 has been marked as a duplicate of this bug. ***
Comment 7 Paul Nasrat 2005-03-30 08:20:03 EST
Rick what was the up2date command line you were attempting exactly?  Can you do

rpm --qf '%{epoch}:%{name}-%{version}-%{release}.%{arch}\n' -q kdelibs

I assume for some reason the i386 version of kdelibs is being pulled in, but
up2date isn't resolving just adding the i386 cups-libs.

Also what version of rpm - rpm -q rpm 

Could you also test yum update kdelibs, this may be an up2date bug.
Comment 8 Rick Richardson 2005-03-30 08:38:13 EST
$ rpm --qf '%{epoch}:%{name}-%{version}-%{release}.%{arch}\n' -q kdelibs
6:kdelibs-3.3.1-2.6.FC3.i386
6:kdelibs-3.3.1-2.9.FC3.x86_64

$ rpm -q rpm
rpm-4.3.2-21

$ root yum update kdelibs
Setting up Update Process
Setting up Repos
updates-released          100% |=========================|  951 B    00:00
livna-stable              100% |=========================|  951 B    00:00
pre-extras                100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
livna-unstable            100% |=========================|  951 B    00:00
livna-testing             100% |=========================|  951 B    00:00
yjl-packages              100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 330 kB    00:04
MD Read   : ################################################## 813/813
updates-re: ################################################## 813/813
primary.xml.gz            100% |=========================|  42 kB    00:00
MD Read   : ################################################## 153/153
livna-stab: ################################################## 153/153
primary.xml.gz            100% |=========================| 314 kB    00:00
MD Read   : ################################################## 921/921
pre-extras: ################################################## 921/921
base      : ################################################## 2852/2852
primary.xml.gz            100% |=========================|  15 kB    00:00
MD Read   : ################################################## 52/52
livna-unst: ################################################## 52/52
primary.xml.gz            100% |=========================|  14 kB    00:00
MD Read   : ################################################## 59/59
livna-test: ################################################## 59/59
yjl-packag: ################################################## 57/57
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for kdelibs to pack into transaction set.
kdelibs-3.3.1-2.9.FC3.i38 100% |=========================| 512 kB    00:04
---> Package kdelibs.i386 6:3.3.1-2.9.FC3 set to be updated
--> Running transaction check
--> Processing Dependency: libcups.so.2 for package: kdelibs
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for cups-libs to pack into transaction set.
cups-libs-1.1.22-0.rc1.8. 100% |=========================|  21 kB    00:00
---> Package cups-libs.i386 1:1.1.22-0.rc1.8.5 set to be updated
--> Running transaction check

Dependencies Resolved
Transaction Listing:
  Update: kdelibs.i386 6:3.3.1-2.9.FC3 - updates-released

Performing the following to resolve dependencies:
  Install: cups-libs.i386 1:1.1.22-0.rc1.8.5 - updates-released
Total download size: 16 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): cups-libs-1.1.22-0 100% |=========================| 104 kB    00:00
(2/2): kdelibs-3.3.1-2.9. 100% |=========================|  15 MB    02:59
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Installing: cups-libs 100 % done 1/3
Updating: kdelibs 100 % done 2/3
Completing update for kdelibs  - 3/3

Dependency Installed: cups-libs.i386 1:1.1.22-0.rc1.8.5
Updated: kdelibs.i386 6:3.3.1-2.9.FC3
Complete!
Comment 9 Rick Richardson 2005-03-30 09:07:48 EST
OK, now its completely screwed up.

Apparently, Dependency Installed: cups-libs.i386 1:1.1.22-0.rc1.8 has broken the
lpr system AND red hat network alert notification tool says this:

firefox   firefox-1.0.1-1.3.2    firefox-1.0.1-1.3.2

Right now I want "lpr" back!!!!!
Comment 10 Paul Nasrat 2005-03-30 09:25:58 EST
hmm, the cups-libs in and of itself shouldn't break anything.  I'm uncertain why
you'd have both x86_64 and i386 versions of firefox installed.  What was the
starting point of the install?  

yum list updates will tell you what is available for update - there may well be
a firefox update.

"completely screwed up" gives me no context for debugging whatsoever.  Please
can you expand on what is wrong with lpr, and what you have tried to resolve.  

An initial suggestion:

/sbin/ldconfig
/sbin/service cups restart

Comment 11 Rick Richardson 2005-03-30 09:59:33 EST
Line printers config'ed with Red Hat tool "System Settings -> Printers" do not
work any more.  If you edit one, you can't get out by hitting "Cancel" or "OK".
You are stuck.

Line printers config'ed with localhost:631 work fine.
Comment 12 Paul Nasrat 2005-03-30 10:07:32 EST
That sounds like a specific bug with system-config-printer and that version of
cups - could you file a seperate bug.

The initial report looks to be an up2date issue rather than an rpm issue.  Is it
reproducible if you roll back to the older packages and try up2date
Comment 13 Rick Richardson 2005-12-07 00:20:18 EST
Found out why lpr was screwed up.  Tons of files in /var/spool/cups/tmp!!!

All size "0". 
 
# ll /var/spool/cups/tmp|wc -l
1181
# ll /var/spool/cups|wc -l
152

Happened on two machines here!  Quick fix is to remove them.  Then lpr works
again.  But as you can see, they build up again.

Comment 14 Rick Richardson 2005-12-07 00:38:58 EST
OK.  Cleaned out /var/spool/cups/tmp and /var/spool/cups of any files.  Then I did:

$ lpr testpage.ps

Output to the printer is fine.  But I have remants:

# ll /var/spool/cups/
total 444
-rw-------  1 root sys    588 Dec  6 23:35 c02325
drwxrwx--T  2 root sys 438272 Dec  6 23:35 tmp
# ll /var/spool/cups/tmp
total 40
-rw-------  1 lp sys 0 Dec  6 23:35 gs_aOXifp
-rw-------  1 lp sys 0 Dec  6 23:35 gs_aZkF4Z
-rw-------  1 lp sys 0 Dec  6 23:35 gs_GmakQ1
-rw-------  1 lp sys 0 Dec  6 23:35 gs_k1lnRq
-rw-------  1 lp sys 0 Dec  6 23:35 gs_KbJYWv
-rw-------  1 lp sys 0 Dec  6 23:35 gs_kxqP2U
-rw-------  1 lp sys 0 Dec  6 23:35 gs_o7M9cu
-rw-------  1 lp sys 0 Dec  6 23:35 gs_qbPOvs
-rw-------  1 lp sys 0 Dec  6 23:35 gs_rw0dmY
-rw-------  1 lp sys 0 Dec  6 23:35 gs_tXGVFW
#

Comment 15 Matthew Miller 2006-07-10 18:24:25 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 16 John Thacker 2006-10-29 10:13:43 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.